#!/bin/bash
set -ex
cd /mnt/koji/compose/iot/Fedora-IoT-35-20220101.0/compose/IoT/aarch64/iso
if ! TEMPLATE="$($(head -n1 $(which lorax) | cut -c3-) -c 'import pylorax; print(pylorax.find_templates())')"; then TEMPLATE=/usr/share/lorax; fi
/usr/bin/genisoimage -untranslated-filenames -volid Fedora-iot-iot-dvd-aarch64-35 -J -joliet-long -rational-rock -translation-table -input-charset utf-8 -x ./lost+found -eltorito-alt-boot -e images/efiboot.img -no-emul-boot -o Fedora-IoT-IoT-dvd-aarch64-35-20220101.0.iso -graft-points -path-list /mnt/koji/compose/iot/Fedora-IoT-35-20220101.0/work/aarch64/iso/Fedora-IoT-IoT-dvd-aarch64-35-20220101.0.iso-graft-points
/usr/bin/implantisomd5 --supported-iso Fedora-IoT-IoT-dvd-aarch64-35-20220101.0.iso
isoinfo -R -f -i Fedora-IoT-IoT-dvd-aarch64-35-20220101.0.iso | grep -v '/TRANS.TBL$' | sort >> Fedora-IoT-IoT-dvd-aarch64-35-20220101.0.iso.manifest
